function STA2001_Reset()
{
  TargetInterface.setNSRST(0);
  TargetInterface.setICEBreakerBreakpoint(0, 0x00000000, 0xFFFFFFFF, 0x00000000, 0xFFFFFFFF, 0x100, 0xF7);
  TargetInterface.setNSRST(1);
  TargetInterface.waitForDebugState(1000);
  TargetInterface.trst();
}

function STA2001_ResetWithRamAtZero()
{
  STA2001_Reset();
}

function STA2001_ResetWithFlashAtZero()
{
  STA2001_Reset();
}

